
ctools - Action #1804

Test all example scripts before 1.1.0 release

06/23/2016 02:17 PM - Mayer Michael

Status: Closed Start date: 06/23/2016

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.1.0   

Description

Before releasing 1.1.0, we should make sure that all example scripts (e.g. plotting scripts) actually run without error and display

correct results.

History

#1 - 06/23/2016 02:19 PM - Mayer Michael

- Tracker changed from Feature to Action

Oops you were faster. This is closely related to #1803.

#2 - 06/23/2016 02:23 PM - Knödlseder Jürgen

I do this for the moment manually before each release using the testall.sh script in GammaLib and ctools. I'll do this also for release 1.1, but in the

long run I would like that this is done at unit test level automatically.

So your issue is fine as a reminder for release 1.1, and we keep #1803 for the implementation of the automatic test.

#3 - 06/29/2016 11:19 PM - Knödlseder Jürgen

- Status changed from New to Closed

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 100

- Remaining (hours) set to 0.0

I finally included all examples in the unit tests. Close this now.
